Subject: [netmod] not a non-presence container

From: William Lupton <[email-masked]>
Date: Wed, 14 Oct 2015 10:15:51 +0100

All,

Both RFC 6020 and the bis draft use the term "not a non-presence
container", sometimes with a reference to section 7.5.1.

Does this term mean the same as "presence container"? If so, I think it
would be easier (on the reader!) to say that instead. If not, I think that
the term warrants a mention in section 7.5.1.

Comments?

Thanks,
William Lupton

---

From: Martin Bjorklund <[email-masked]>
Date: Wed, 14 Oct 2015 21:41:45 +0200 (CEST)

William Lupton <[email-masked]> wrote:
> Does this term mean the same as "presence container"?

No.  A list (for example) is not a non-presence container.

> If so, I think it

The term is "non-presence container", and it is explained in 7.5.1.

/martin

---

From: William Lupton <[email-masked]>
Date: Wed, 14 Oct 2015 23:27:46 +0100

Thanks. I see now. As you will have realised, I parsed "not a non-presence
container" as "(not a non-presence) container" (WRONG) rather than "not a
(non-presence container)" (RIGHT). Cheers, W.

---

From: Jonathan Hansford <[email-masked]>
Date: Thu, 15 Oct 2015 09:57:34 +0100

If that misinterpretation has already happened for (at least) one individual, would it be worth adding the clarification and remove the ambiguity?

Jonathan

From: William Lupton
Sent: 14 October 2015 23:28
To: Martin Bjorklund
Cc: [email-masked]
Subject: Re: [netmod] not a non-presence container

Thanks. I see now. As you will have realised, I parsed "not a non-presence container" as "(not a non-presence) container" (WRONG) rather than "not a (non-presence container)" (RIGHT). Cheers, W.

/martin

---

From: Martin Bjorklund <[email-masked]>
Date: Thu, 15 Oct 2015 14:39:39 +0200 (CEST)

Jonathan Hansford <[email-masked]> wrote:
> If that misinterpretation has already happened for (at least) one
> individual, would it be worth adding the clarification and remove the
> ambiguity?

Sure.  The words "not a non-presence container" occurs a couple of
times throughout the document.

Would it be correct to write "not a non-presence-container"?

/martin

> Thanks. I see now. As you will have realised, I parsed "not a
> non-presence container" as "(not a non-presence) container" (WRONG)
> rather than "not a (non-presence container)" (RIGHT). Cheers, W.
>

---

From: Jonathan Hansford <[email-masked]>
Date: Thu, 15 Oct 2015 16:50:27 +0100

How about “closest ancestor node in the schema tree (excluding non-presence containers)”?

Jonathan

From: Martin Bjorklund
Sent: 15 October 2015 13:39
To: [email-masked]
Cc: [email-masked];[email-masked]
Subject: Re: [netmod] not a non-presence container

/martin

---

From: William Lupton <[email-masked]>
Date: Fri, 16 Oct 2015 15:06:13 +0100

I like that approach. Thanks, W.

On 15 October 2015 at 16:50, Jonathan Hansford <[email-masked]>
wrote:

> *From: *Martin Bjorklund
> *Sent: *15 October 2015 13:39
> *To: [email-masked]
> *Cc: [email-masked];[email-masked]
>
> *Subject: *Re: [netmod] not a non-presence container
>
>
>
>
>
> > > would be easier (on the reader!) to say that instead. If not, I think
>
> > > that
>